> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Document List

> Get Document List. The document list can only be accessed if the API context is inclusive of the document list's scope. A document list always belongs to a tenant context, denoted by the scopeType and scopeId fields. For example, if a list belongs to Catalog 123 then it is denoted by scopeType=catalog and scopeId=123.



## OpenAPI

````yaml /openapi/openapi_content.json get /content/documentlists/{documentListName}
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CONTENT">
                <h2>CONTENT</h2>
                <p>The Content APIs allow you to organize your site content into a hierarchy of folders and documents, as
                    well as control the publishing of your content to the live site with publish sets that group pending
                    changes together to publish at the same time. For more information about managing site content and the associated UI,
                    see the <a href="/pages/site-builder">Site Builder</a> and <a href="/pages/publishing">Publishing</a> user guides.</p>
                <p>Use the <strong>Document Lists</strong> and <strong>Document List Types</strong> resources to organize your site's documents into a hierarchy. Document lists can
                    contain documents, folders, and complete hierarchies of folders, which contain documents with unique
                    names. The type denotes a content type for that list of folders, sub-folders, and documents such as
                    `web_pages`.</p>
                <p>Use the <strong>Document Types</strong> and <strong>Document Property Types</strong> resources to manage the document and property types supported by the Content API.</p>
                <p>Use the <strong>Document Publishing</strong> resource to manage and publish document drafts. The 
                    related <strong>Document Publish Set</strong> resource manages publish sets and the pending content drafts.</p>
            </div>
  title: Content
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /content/documentlists/{documentListName}:
    get:
      tags:
        - DocumentList
      summary: Get Document List
      description: >-
        Get Document List. The document list can only be accessed if the API
        context is inclusive of the document list's scope. A document list
        always belongs to a tenant context, denoted by the scopeType and scopeId
        fields. For example, if a list belongs to Catalog 123 then it is denoted
        by scopeType=catalog and scopeId=123.
      parameters:
        - description: Name of document documentListName to retrieve
          in: path
          name: documentListName
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentList'
            text/json:
              schema:
                $ref: '#/components/schemas/DocumentList'
            text/plain:
              schema:
                $ref: '#/components/schemas/DocumentList'
          description: OK
components:
  schemas:
    DocumentList:
      description: >-
        A container for documents and related settings, such as supported
        documentTypes and publishing. 

        A documentList belongs to a Mozu context, denoted by the documentList
        scopyeType and scopeId fields. 

        Example: documentList A belongs to catalog 123, denoted by the
        documentList scopeType value of catalog and scopeId value of 123.

        A documentList can only be accessed if the API context is inclusive of
        the documentList's scope.

        Example: documentList A belongs to catalog 123. An API call with an API
        context of catalog 123 will be able to address documentList A.

        Example: site 456 uses catalog 123. An API call with an API context of
        site 456 will be able to address documentList A.

        Example: masterCatalog 789 is the parent of catalog 123. An API call
        with an API context of masterCatalog 789 will NOT be able to address
        documentList A.

        Documents can be created, queried, managed and published from within a
        documentList. A documentList may be directly created, or indirectly
        created from a documentListType.
      properties:
        documentListType:
          description: >-
            The full name of the documentListType (name@namespace) that
            underlies the documentList. This value is only populated when the
            Mozu platform creates a documentList from a documentListType.

            A documentList that is directly created cannot specify a
            documentListType. This field is therefore read-only.
          nullable: true
          type: string
        documentTypes:
          description: >-
            An array of the full names (name@namespace) of the documentTypes
            supported by the documentList. A document in the documentList must
            belong to one of these documentTypes.

            If the documentList is based on a documentListType, then this value
            will be derived from the documentListType. DocumentTypes can be
            added/removed to the documentList, even when

            based on a documentListType. Existing documents that belong to a
            documentType removed from the documentList will not be removed.
          items:
            type: string
          nullable: true
          type: array
        enableActiveDateRanges:
          description: >-
            Determines if the documentList has ActiveDateRanges turned on or
            off. If the documentList has a supportsActiveDateRanges value of
            true, then the enableActiveDateRanges value will be honored.

            If enableActiveDateRanges is true, then a document will only be
            returned if the request is made within the time frame the document
            has been set to be 'active'.

            If enableActiveDateRanges is false, then the properties can be set
            but will not be honored.

            If enableActiveDateRanges is true, then updating it to false will
            immediately start honoring the previously-set date range.

            If the documentList is based on a documentListType, then this value
            will be derived from the documentListType, but can be overridden on
            update.
          nullable: true
          type: boolean
        enablePublishing:
          description: >-
            Determines if the documentList has publishing turned on or off. If
            the documentList has a supportsPublishing value of true, then the
            enablePublishing value will be honored.

            If enablePublishing is true, then a document draft will be created
            for a document create or update operation. A document must then be
            published to become "active".

            If enablePublish is false, then all document changes are immediately
            "active".

            If enablePublish is true, then updating it to false will immediately
            publish all draft changes.

            If the documentList is based on a documentListType, then this value
            will be derived from the documentListType, but can be overridden on
            update.
          nullable: true
          type: boolean
        listFQN:
          description: >-
            The unique identifier of the documentList, represented by
            name@namespace. The listFQN must be provided when creating the
            documentList, or the name and namespace fields must be provided.

            If the documentList is based on a documentListType, then this value
            will be derived from the documentListType.
          nullable: true
          type: string
        metadata:
          description: >-
            Allows arbitrary data to be stored on the documentList.

            If the documentList is based on a documentListType, then this value
            will be derived from the documentListType, but can be overridden on
            update.
          nullable: true
        name:
          description: >-
            The name component of the listFQN, name@namespace. The name must be
            unique within the namespace component and cannot be updated.

            If the documentList is based on a documentListType, then this value
            will be derived from the documentListType.
          nullable: true
          type: string
        namespace:
          description: >-
            The namespace component of the listFQN, name@namespace. The issued
            dev account namespace must be used unless elevated privileges allow
            a blank namespace to be used. The namespace cannot be updated.

            If the documentList is based on a documentListType, then this value
            will be derived from the documentListType.
          nullable: true
          type: string
        scopeId:
          description: >-
            Used in conjunction with the scopeType field to determine the exact
            context within which the documentList resides.

            Example: A documentList with a scopeId of 5 and scopeType of
            masterCatalog belongs to masterCatalog 5.

            If the documentList is based on a documentListType, then this value
            will be derived from the documentListType. This value is read-only
            after the documentList is created.
          format: int32
          nullable: true
          type: integer
        scopeType:
          description: >-
            The context level the documentList resides in. Valid values are
            "tenant", "masterCatalog", "catalog" and "site". This field is used
            in conjunction with the scopeId field

            to determine the exact context within which this documentList
            resides. This field is read-only after insert.

            If the documentList is based on a documentListType, then this value
            will be derived from the documentListType. This value is read-only
            after the documentList is created.
          nullable: true
          type: string
        security:
          description: tbd
          nullable: true
          type: string
        supportsActiveDateRanges:
          description: >-
            Determines if the documentList will support ranges of dates that
            documents are considered 'active'. 

            This field defaults to false and cannot be updated.

            If the documentList is based on a documentListType, then this value
            will be derived from the documentListType.
          nullable: true
          type: boolean
        supportsPublishing:
          description: >-
            Determines if the documentList will support drafting and publishing
            documents. 

            This field defaults to false and cannot be updated.

            If the documentList is based on a documentListType, then this value
            will be derived from the documentListType.
          nullable: true
          type: boolean
        usages:
          description: >-
            An array of strings that describes to the Mozu platform the
            manner(s) in which a documentList can be used. The following values
            are valid:

            entitymanager -- the documentList should be visible in the Admin
            Content/Entities UI, which allows admin users to create, manage and
            publish documents within the documentList.

            sitebuilder -- the documentList should be visible in Site Builder. A
            documentList will display in the Site Builder Navigation Content
            List node, which supports document creation, management and web cms
            integration.

            If the documentList is based on a documentListType, then this value
            will be derived from the documentListType. Usages can be added or
            removed from the documentList, even when the documentList derives
            from a

            documentListType.
          items:
            type: string
          nullable: true
          type: array
        views:
          description: >-
            An array of one or more views, which each allow GET access to a
            projection of fields from the documents in the given documentList. 

            If the documentList is based on a documentListType, then this value
            will be derived from the documentListType. Views can be
            added/removed to the documentList, even when

            the documentList derives from a documentListType.
          items:
            $ref: '#/components/schemas/View'
          nullable: true
          type: array
      type: object
    View:
      description: >-
        A view provides GET access to documents within the documentList the view
        belongs to. The view can designate which document fields are returned
        (projection) and

        a security model for providing GET access independent of the
        documentList's security model.
      properties:
        fields:
          description: >-
            Designation of which document fields are returned (projection) when
            GETing documents from the view.
          items:
            $ref: '#/components/schemas/ViewField'
          nullable: true
          type: array
        filter:
          description: >-
            Filter criteria to apply automatically when documents from this view
            are accessed, using the standard Mozu filter syntax. Only documents
            matching the filter criteria will be returned. 

            Any filter provided by an operation is combined with the view
            filter.
          nullable: true
          type: string
        includeInactiveMode:
          description: >-
            If view documents are requested with includeInactive=true, then this
            controls which documents return. If includeInactive is not provided
            or set to false, then only active documents return.

            If not set, or set to "all", then all documents return.

            If set to "active", then only documents within the active date range
            and documents with no active date range are returned.

            If set to "scheduled", then only documents with an active date range
            in the future are returned.

            If set to "activeOrScheduled", then only documents that are active
            or documents with an active date range in the future are returned.

            If set to "ended", then only documents with an active date range in
            the past are returned.
          nullable: true
          type: string
        isAdminDefault:
          nullable: true
          type: boolean
        isVisibleInStorefront:
          description: >-
            The isVisibleInStorefront field indicates whether documents in the
            view can be accessed from the Mozu storefront application. If true,
            the storefront application and storefront client application
            (javascript tier) 

            can GET documents from the view.
          nullable: true
          type: boolean
        metadata:
          description: The metadata field allows arbitrary data to be stored on the view.
          nullable: true
        name:
          description: >-
            A view is addressed via its name, which is unique within the
            documentList or documentListType in which it is defined.
          nullable: true
          type: string
        usages:
          description: tbd
          items:
            type: string
          nullable: true
          type: array
      type: object
    ViewField:
      description: The projection of an individual field in a view.
      properties:
        name:
          description: >-
            The name of the field projected into the view document, meaning the
            name given to the target field after it is projected.

            The name must be unique within the list of viewFields provided in
            the view.
          nullable: true
          type: string
        target:
          description: >-
            Specifies the document field to project. First-class fields will be
            returned on the document, but can be projected into the view
            properties. 

            Valid first-class fields include name, id, documentTypeFqn, listFqn
            and publishState. Dynamic fields within the properties field can be
            projected by prefixing the target string with "properties."

            Example: "properties.property1". If a property is an object, then
            dot notation can be used to walk to particular subelements. Example:
            "properties.property1.subProperty1"

            Individual array elements can be selected as well. Example:
            "properties.property1.subProperty1.subSubArray[2].propertyOnArrayItem"

            Any target miss will result in a null value returning for the
            projected field.
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.